> For the complete documentation index, see [llms.txt](https://docs-29.gitbook.io/tronlink-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-29.gitbook.io/tronlink-docs/zh/yi-dong-duan/deeplink/deng-lu-shou-quan.md).

# 登陆授权

使用Deeplink方式唤起钱包，并在钱包中选择获取钱包地址

```
// Tronlink-v4.11.0
// 链接
<a href='tronlinkoutside://pull.activity?param={}'>Login/Request Address</a>
```

```
// param的参数为json格式的协议数据
// 注意：json.toString后需要进行urlencode编码
{
  "url": "https://justlend.org/#/home",
  "callbackUrl": "http://xxx/api/tron/v1/callback",
  "dappIcon": "https://test/icon.png",
  "dappName": "Test demo",
  "protocol": "TronLink",
  "version": "1.0",
  "chainId": "0x2b6653dc",
  "action": "login",
  "actionId": "e5471a9c-b0f1-418b-8634-3de60d68a288"
}
```

```
{
  "actionId": "e5471a9c-b0f1-418b-8634-3de60d68a288",
  "address": "TSPrmJetAMo6S6RxMd4tswzeRCFVegBNig",
  "code": 0,
  "id": 1780812177,
  "message": "success"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-29.gitbook.io/tronlink-docs/zh/yi-dong-duan/deeplink/deng-lu-shou-quan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
